<!-- <ion-header>
  <div class="row-cont">
    <div class="sub-cont">
      <div class="img-cont" [routerLink]="['/tabs/main']">
        <img src="../../assets/newicons/proximax-siriusid-btn-go-back-blue-h60.svg" class="icon">
      </div>
      <h1 class="title">Search</h1>
    </div>
  </div>
</ion-header> -->

<app-superheader [title]="'Search'" [back]="true"></app-superheader>

<ion-content>
  <div class="container">
    <div class="field-cont">
      <ion-input placeholder="Search your credential" [(ngModel)]="searchValue" (ngModelChange)="inputChange()"></ion-input>
    </div>
  </div>

  <div class="container">
    <ion-chip color="danger" (click)="clean()">
      Clear
    </ion-chip>
    <ion-chip *ngFor="let elem of this.tagsService.tags;let i=index" [color]="(elem['active'] === false) ? '' : 'primary'" (click)="activateTag(elem.name)">
      {{elem.name}}
    </ion-chip>
    <!-- <app-credential-tags></app-credential-tags> -->
  </div>

  <div class="container" *ngIf="mainListActive">
    <div class="element" *ngFor="let elem of allCredentials;let i=index">

      <div class="elem-cont" (click)="credentialDetail(elem['content'].id)">
        <div class="el-img">
          <img *ngIf="elem['content'].icon != ''" [src]="elem['content'].icon">
          <img *ngIf="elem['content'].icon == ''" src="../../assets/teamwork.svg">
        </div>

        <div class="el-info">
          <h5 class="name">{{ elem['content'].name }}</h5>
          <p class="desc">{{ elem['content'].description }}</p>
        </div>
      </div>
    </div>
  </div>

  <div class="container" *ngIf="!mainListActive">
    <div class="element" *ngFor="let elem of allCredentials;let i=index">

      <div class="elem-cont" (click)="credentialDetail(i)">
        <div class="el-img">
          <img *ngIf="elem.icon != ''" [src]="elem.icon">
          <img *ngIf="elem.icon == ''" src="../../assets/teamwork.svg">
        </div>

        <div class="el-info">
          <h5 class="name">{{ elem.name }}</h5>
          <p class="desc">{{ elem.description }}</p>
        </div>
      </div>
    </div>
  </div>
</ion-content>
